%define name    speex
%define ver     1.1.99_1.2beta1
%define rel     1

Name:           %{name}
Summary:        An open-source, patent-free speech codec
Summary(de):    Ein OpenSource, Patentfreieer Sprachcodec
Version:        %{ver}
Release:        2.1
License:        BSD
Group:          System/Libraries
Url:            http://www.speex.org/

Source0:        speex-1.2beta1.tar.bz2

Buildroot:      %{_tmppath}/buildroot-%{name}-%{version}
Requires:       libogg >= 1.1
BuildRequires:  libogg-devel >= 1.1
BuildRequires:  gcc
BuildRequires:  glibc-devel
Obsoletes:      libspeex
Provides:       libspeex

%description
Speex is a patent-free audio codec designed especially for voice (unlike
Vorbis which targets general audio) signals and providing good narrowband
and wideband quality. This project aims to be complementary to the Vorbis
codec.

%description -l de
Speex ist ein patentfreier Audio-Codec, entwickelt, speziell für Sprachaufnahmen
(im Gegensatz zu Vorbes, welches für alle Audioaufzeichnungen gedacht ist).

%package devel
Summary:        Development package for SpeeX
Summary(de):    Entwicklungspakete für SpeeX
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}
Requires:       glibc-devel
Requires:       libogg-devel
Obsoletes:      libspeex-devel
Provides:       libspeex-devel

%description devel
This package contains the files needed to compile programs that
use the SpeeX library.

%description devel -l de
Das Paket enthält die Dateien, die benötigt werden, um Programme
zu kompilieren, die die SpeeX Bibliothek verwenden.

%prep
%setup -n %{name}-1.2beta1

%build
#if [ ! -f configure ]; then
#   NO_CONFIGURE=1 ./autogen.sh
#fi
%{?suse_update_config:%{suse_update_config -f}}
autoreconf --force --install
%configure --enable-shared=yes
%__make

%install
[ -d  %{buildroot} -a "%{buildroot}" != "/" ] && %{__rm} -rf  %{buildroot}
%makeinstall

mv %{buildroot}%{_datadir}/doc/%{name}-1.2beta1/manual.pdf .
%{__rm} -rf %{buildroot}%{_datadir}/doc/%{name}-1.2beta1

%clean
[ -d  %{buildroot} -a "%{buildroot}" != "/" ] && %{__rm} -rf  %{buildroot}


%post
%run_ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO manual.pdf
%doc %{_mandir}/man?/*
%{_bindir}/speex*
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%doc doc/manual.pdf
%dir %{_includedir}/speex
%{_includedir}/speex/*.h
%{_libdir}/lib*.so
%{_libdir}/lib*.*a
%{_libdir}/pkgconfig/speex.pc
%{_datadir}/aclocal/speex.m4

%changelog
* Wed Oct 03 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build

